Index: modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/navigationBar.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/navigationBar.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/navigationBar.component.ts	(revision 46415)
@@ -8,29 +8,29 @@
   <nav class="uk-navbar">
 
                                   <ul class="uk-navbar-nav uk-hidden-small">
-                                      <li class="uk-active"><a routerLinkActive="router-link-active" routerLink="" class="uk-logo uk-navbar-item">
+                                      <li class="uk-active"><a routerLinkActive="router-link-active" routerLink="/" class="uk-logo uk-navbar-item">
                                         <img src="assets/newlogo.png" alt="OpenAIRE" class="uk-responsive-height"></a>
                                       </li>
-                                      <li class="uk-active"><a routerLinkActive="router-link-active" routerLink="search/find"><i class="uk-icon-home"></i></a></li>
+                                      <li class="uk-active"><a routerLinkActive="router-link-active" routerLink="/search/find"><i class="uk-icon-home"></i></a></li>
                                       <li class="uk-parent" data-uk-dropdown="" aria-haspopup="true" aria-expanded="false">
-                                          <a routerLinkActive="router-link-active" routerLink="search/find">Search</a>
+                                          <a routerLinkActive="router-link-active" routerLink="/search/find">Search</a>
 
                                           <div class="uk-dropdown uk-dropdown-navbar uk-dropdown-bottom" aria-hidden="true" style="top: 40px; left: 0px;" tabindex="">
                                               <ul class="uk-nav uk-nav-navbar">
                                                   <!--li class="uk-nav-header">Search For</li-->
-                                                  <li><a routerLinkActive="router-link-active" routerLink="search/find/publications">Publications</a></li>
-                                                  <li><a routerLinkActive="router-link-active" routerLink="search/find/datasets">Datasets</a></li>
-                                                  <li><a routerLinkActive="router-link-active" routerLink="search/find/projects">Projects</a></li>
-                                                  <li><a routerLinkActive="router-link-active" routerLink="search/find/dataproviders">Data Providers</a></li>
-                                                  <li><a routerLinkActive="router-link-active" routerLink="search/find/organizations">Organizations</a></li>
-                                                  <li><a routerLinkActive="router-link-active" routerLink="search/find/people">People</a></li>
+                                                  <li><a routerLinkActive="router-link-active" routerLink="/search/find/publications">Publications</a></li>
+                                                  <li><a routerLinkActive="router-link-active" routerLink="/search/find/datasets">Datasets</a></li>
+                                                  <li><a routerLinkActive="router-link-active" routerLink="/search/find/projects">Projects</a></li>
+                                                  <li><a routerLinkActive="router-link-active" routerLink="/search/find/dataproviders">Data Providers</a></li>
+                                                  <li><a routerLinkActive="router-link-active" routerLink="/search/find/organizations">Organizations</a></li>
+                                                  <li><a routerLinkActive="router-link-active" routerLink="/search/find/people">People</a></li>
                                                   <!--li class="uk-nav-divider"></li>
-                                                  <li><a    [queryParams]="{articleId: 'od_______908::3a5b2885656a91307156325644e73b92'}" routerLinkActive="router-link-active" routerLink="search/publication" >Publication </a></li>
-                                                  <li><a    [queryParams]="{datasetId: 'datacite____::430ac1c41b7f99b7b543ef737dc41a74'}" routerLinkActive="router-link-active" routerLink="search/dataset" >Dataset </a></li>
-                                                  <li><a   [queryParams]="{projectId: 'corda_______::2c37878a0cede85dbbd1081bb9b4a2f8'}" routerLinkActive="router-link-active" routerLink="search/project" >Project </a></li>
-                                                  <li><a   [queryParams]="{personId: 'datacite____::9da3a037961b36a634fcd40ab0bf6535'}" routerLinkActive="router-link-active" routerLink="search/person" >Person </a></li>
-                                                  <li><a   [queryParams]="{organizationId: 'dedup_wf_001::f686277c34bf457bbdf19e03589b5e81'}" routerLinkActive="router-link-active" routerLink="search/organization" >Organization </a></li>
-                                                  <li><a   [queryParams]="{datasourceId: 'opendoar____::798ed7d4ee7138d49b8828958048130a'}" routerLinkActive="router-link-active" routerLink="search/dataprovider" >Data Provider </a></li-->
+                                                  <li><a    [queryParams]="{articleId: 'od_______908::3a5b2885656a91307156325644e73b92'}" routerLinkActive="router-link-active" routerLink="/search/publication" >Publication </a></li>
+                                                  <li><a    [queryParams]="{datasetId: 'datacite____::430ac1c41b7f99b7b543ef737dc41a74'}" routerLinkActive="router-link-active" routerLink="/search/dataset" >Dataset </a></li>
+                                                  <li><a   [queryParams]="{projectId: 'corda_______::2c37878a0cede85dbbd1081bb9b4a2f8'}" routerLinkActive="router-link-active" routerLink="/search/project" >Project </a></li>
+                                                  <li><a   [queryParams]="{personId: 'datacite____::9da3a037961b36a634fcd40ab0bf6535'}" routerLinkActive="router-link-active" routerLink="/search/person" >Person </a></li>
+                                                  <li><a   [queryParams]="{organizationId: 'dedup_wf_001::f686277c34bf457bbdf19e03589b5e81'}" routerLinkActive="router-link-active" routerLink="/search/organization" >Organization </a></li>
+                                                  <li><a   [queryParams]="{datasourceId: 'opendoar____::798ed7d4ee7138d49b8828958048130a'}" routerLinkActive="router-link-active" routerLink="/search/dataprovider" >Data Provider </a></li-->
 
                                                </ul>
                                           </div>
@@ -37,51 +37,51 @@
 
                                       </li>
                                       <li class="uk-parent" data-uk-dropdown="" aria-haspopup="true" aria-expanded="false">
-                                          <a routerLinkActive="router-link-active" routerLink="search/data-providers" >Data Providers</a>
+                                          <a routerLinkActive="router-link-active" routerLink="/search/data-providers" >Data Providers</a>
 
                                           <div class="uk-dropdown uk-dropdown-navbar uk-dropdown-bottom" aria-hidden="true" style="top: 40px; left: 0px;" tabindex="">
                                               <ul class="uk-nav uk-nav-navbar">
                                                   <!--li class="uk-nav-header">Search for Data Providers</li-->
-                                                  <li><a routerLinkActive="router-link-active" routerLink="search/data-providers">Compatible Data Providers</a></li>
-                                                  <li><a routerLinkActive="router-link-active" routerLink="search/entity-registries">Entity Registries</a></li>
+                                                  <li><a routerLinkActive="router-link-active" routerLink="/search/data-providers">Compatible Data Providers</a></li>
+                                                  <li><a routerLinkActive="router-link-active" routerLink="/search/entity-registries">Entity Registries</a></li>
                                                </ul>
                                           </div>
 
                                       </li>
                                       <!--li class="uk-parent" data-uk-dropdown="" aria-haspopup="true" aria-expanded="false">
-                                          <a routerLinkActive="router-link-active" routerLink="search/advanced/publications">Advanced Search</a>
+                                          <a routerLinkActive="router-link-active" routerLink="/search/advanced/publications">Advanced Search</a>
 
                                           <div class="uk-dropdown uk-dropdown-navbar uk-dropdown-bottom" aria-hidden="true" style="top: 40px; left: 0px;" tabindex="">
                                               <ul class="uk-nav uk-nav-navbar">
-                                                <li><a routerLinkActive="router-link-active" routerLink="search/advanced/publications">Advanced Search Publications</a></li>
-                                                <li><a routerLinkActive="router-link-active" routerLink="search/advanced/datasets">Advanced Search Research Data</a></li>
-                                                <li><a routerLinkActive="router-link-active" routerLink="search/advanced/projects">Advanced Search Projects</a></li>
-                                                <li><a routerLinkActive="router-link-active" routerLink="search/advanced/dataproviders">Advanced Search Data Providers</a></li>
-                                                <li><a routerLinkActive="router-link-active" routerLink="search/advanced/organizations">Advanced Search Organizations</a></li>
-                                                <li><a routerLinkActive="router-link-active" routerLink="search/advanced/people">Advanced Search People</a></li>
+                                                <li><a routerLinkActive="router-link-active" routerLink="/search/advanced/publications">Advanced Search Publications</a></li>
+                                                <li><a routerLinkActive="router-link-active" routerLink="/search/advanced/datasets">Advanced Search Research Data</a></li>
+                                                <li><a routerLinkActive="router-link-active" routerLink="/search/advanced/projects">Advanced Search Projects</a></li>
+                                                <li><a routerLinkActive="router-link-active" routerLink="/search/advanced/dataproviders">Advanced Search Data Providers</a></li>
+                                                <li><a routerLinkActive="router-link-active" routerLink="/search/advanced/organizations">Advanced Search Organizations</a></li>
+                                                <li><a routerLinkActive="router-link-active" routerLink="/search/advanced/people">Advanced Search People</a></li>
                                               </ul>
                                           </div>
 
                                       </li-->
                                       <li class="uk-parent" data-uk-dropdown="" aria-haspopup="true" aria-expanded="false">
-                                          <a  routerLinkActive="router-link-active" routerLink="deposit-publications" >Deposit</a>
+                                          <a  routerLinkActive="router-link-active" routerLink="/participate/deposit-publications" >Deposit</a>
 
                                           <div class="uk-dropdown uk-dropdown-navbar uk-dropdown-bottom" aria-hidden="true" style="top: 40px; left: 0px;" tabindex="">
                                               <ul class="uk-nav uk-nav-navbar">
-                                                <li><a  routerLinkActive="router-link-active" routerLink="deposit-publications">Deposit Publications</a></li>
-                                                <li><a   routerLinkActive="router-link-active" routerLink="deposit-datasets">Deposit Research Data</a></li>
+                                                <li><a  routerLinkActive="router-link-active" routerLink="/participate/deposit-publications">Deposit Publications</a></li>
+                                                <li><a   routerLinkActive="router-link-active" routerLink="/participate/deposit-datasets">Deposit Research Data</a></li>
                                               </ul>
                                           </div>
 
                                       </li>
                                       <!--li class="uk-parent" data-uk-dropdown="" aria-haspopup="true" aria-expanded="false">
-                                          <a  routerLinkActive="router-link-active" routerLink="linking" >Linking</a>
+                                          <a  routerLinkActive="router-link-active" routerLink="/participate/claim" >Linking</a>
 
                                           <div class="uk-dropdown uk-dropdown-navbar uk-dropdown-bottom" aria-hidden="true" style="top: 40px; left: 0px;" tabindex="">
                                               <ul class="uk-nav uk-nav-navbar">
-                                                <li><a  routerLinkActive="router-link-active" routerLink="linking">Linking</a></li>
-                                                <li><a   routerLinkActive="router-link-active" routerLink="bulk-linking">Bulk Linking</a></li>
-                                                <li><a   routerLinkActive="router-link-active" routerLink="claims">Claims Admin</a></li>
+                                                <li><a  routerLinkActive="router-link-active" routerLink="/participate/claim">Linking</a></li>
+                                                <li><a   routerLinkActive="router-link-active" routerLink="/bulk-linking">Bulk Linking</a></li>
+                                                <li><a   routerLinkActive="router-link-active" routerLink="/claims">Claims Admin</a></li>
                                               </ul>
                                           </div>
 
@@ -102,21 +102,21 @@
                                                               <div class="uk-offcanvas-bar uk-offcanvas-bar-show" mode="push">
                                                               <!--ul class="uk-navbar-nav uk-hidden-small"-->
                                                               <ul class="uk-nav uk-nav-offcanvas uk-nav-parent-icon" data-uk-nav="{multiple:true}">
-                                                                  <!--li class="uk-active"><a routerLinkActive="router-link-active" routerLink="" class="uk-logo uk-navbar-item">
+                                                                  <!--li class="uk-active"><a routerLinkActive="router-link-active" routerLink="/" class="uk-logo uk-navbar-item">
                                                                     <img src="assets/newlogo.png" alt="OpenAIRE" class="uk-responsive-height"></a>
                                                                   </li-->
-                                                                  <li class="uk-active"><a routerLinkActive="router-link-active" routerLink="search/find"><i class="uk-icon-home"></i></a></li>
+                                                                  <li class="uk-active"><a routerLinkActive="router-link-active" routerLink="/search/find"><i class="uk-icon-home"></i></a></li>
 
                                                                   <li class=""  aria-expanded="false"  >
                                                                       <a href="#">Search</a>
 
                                                                       <div    ><ul class="uk-nav-sub" role="menu">
-                                                                              <li><a routerLinkActive="router-link-active" routerLink="search/find/publications">Publications</a></li>
-                                                                              <li><a routerLinkActive="router-link-active" routerLink="search/find/datasets">Datasets</a></li>
-                                                                              <li><a routerLinkActive="router-link-active" routerLink="search/find/projects">Projects</a></li>
-                                                                              <li><a routerLinkActive="router-link-active" routerLink="search/find/dataproviders">Data Providers</a></li>
-                                                                              <li><a routerLinkActive="router-link-active" routerLink="search/find/organizations">Organizations</a></li>
-                                                                              <li><a routerLinkActive="router-link-active" routerLink="search/find/people">People</a></li>
+                                                                              <li><a routerLinkActive="router-link-active" routerLink="/search/find/publications">Publications</a></li>
+                                                                              <li><a routerLinkActive="router-link-active" routerLink="/search/find/datasets">Datasets</a></li>
+                                                                              <li><a routerLinkActive="router-link-active" routerLink="/search/find/projects">Projects</a></li>
+                                                                              <li><a routerLinkActive="router-link-active" routerLink="/search/find/dataproviders">Data Providers</a></li>
+                                                                              <li><a routerLinkActive="router-link-active" routerLink="/search/find/organizations">Organizations</a></li>
+                                                                              <li><a routerLinkActive="router-link-active" routerLink="/search/find/people">People</a></li>
                                                                            </ul>
                                                                       </div>
 
@@ -125,8 +125,8 @@
                                                                       <a href="#">Data Providers</a>
 
                                                                       <div   ><ul class="uk-nav-sub" role="menu">
-                                                                              <li><a routerLinkActive="router-link-active" routerLink="search/data-providers">Compatible Data Providers</a></li>
-                                                                              <li><a routerLinkActive="router-link-active" routerLink="search/entity-registries">Entity Registries</a></li>
+                                                                              <li><a routerLinkActive="router-link-active" routerLink="/search/data-providers">Compatible Data Providers</a></li>
+                                                                              <li><a routerLinkActive="router-link-active" routerLink="/search/entity-registries">Entity Registries</a></li>
                                                                            </ul>
                                                                       </div>
 
@@ -135,12 +135,12 @@
                                                                       <a href="#">Advanced Search</a>
 
                                                                       <div   ><ul class="uk-nav-sub" role="menu">
-                                                                            <li><a routerLinkActive="router-link-active" routerLink="search/advanced/publications">Advanced Search Publications</a></li>
-                                                                            <li><a routerLinkActive="router-link-active" routerLink="search/advanced/datasets">Advanced Search Research Data</a></li>
-                                                                            <li><a routerLinkActive="router-link-active" routerLink="search/advanced/projects">Advanced Search Projects</a></li>
-                                                                            <li><a routerLinkActive="router-link-active" routerLink="search/advanced/dataproviders">Advanced Search Data Providers</a></li>
-                                                                            <li><a routerLinkActive="router-link-active" routerLink="search/advanced/organizations">Advanced Search Organizations</a></li>
-                                                                            <li><a routerLinkActive="router-link-active" routerLink="search/advanced/people">Advanced Search People</a></li>
+                                                                            <li><a routerLinkActive="router-link-active" routerLink="/search/advanced/publications">Advanced Search Publications</a></li>
+                                                                            <li><a routerLinkActive="router-link-active" routerLink="/search/advanced/datasets">Advanced Search Research Data</a></li>
+                                                                            <li><a routerLinkActive="router-link-active" routerLink="/search/advanced/projects">Advanced Search Projects</a></li>
+                                                                            <li><a routerLinkActive="router-link-active" routerLink="/search/advanced/dataproviders">Advanced Search Data Providers</a></li>
+                                                                            <li><a routerLinkActive="router-link-active" routerLink="/search/advanced/organizations">Advanced Search Organizations</a></li>
+                                                                            <li><a routerLinkActive="router-link-active" routerLink="/search/advanced/people">Advanced Search People</a></li>
                                                                           </ul>
                                                                       </div>
 
@@ -150,8 +150,8 @@
                                                                       <a href="#">Deposit</a>
 
                                                                       <div   ><ul class="uk-nav-sub" role="menu">
-                                                                            <li><a  routerLinkActive="router-link-active" routerLink="deposit-publications">Deposit Publications</a></li>
-                                                                            <li><a   routerLinkActive="router-link-active" routerLink="deposit-datasets">Deposit Research Data</a></li>
+                                                                            <li><a  routerLinkActive="router-link-active" routerLink="/participate/deposit-publications">Deposit Publications</a></li>
+                                                                            <li><a   routerLinkActive="router-link-active" routerLink="/participate/deposit-datasets">Deposit Research Data</a></li>
                                                                           </ul>
                                                                       </div>
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/cookie-law/cookie-law.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/cookie-law/cookie-law.component.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/cookie-law/cookie-law.component.ts	(revision 46415)
@@ -0,0 +1,146 @@
+/**
+ * angular2-cookie-law
+ *
+ * Copyright 2016-2017, @andreasonny83, All rights reserved.
+ *
+ * @author: @andreasonny83 <andreasonny83@gmail.com>
+ */
+
+import {
+  Component,
+  OnInit,
+  ViewEncapsulation,
+  HostBinding,
+  Input,
+  Output,
+  EventEmitter,
+  animate,
+  state,
+  trigger,
+  style,
+  transition,
+  AnimationTransitionEvent,
+} from '@angular/core';
+
+import {
+  DomSanitizer,
+  SafeHtml,
+} from '@angular/platform-browser';
+
+import {
+  CookieLawService,
+} from './cookie-law.service';
+
+// import {
+//   closeIcon,
+// } from './icons';
+
+export type CookieLawPosition = 'top' | 'bottom';
+export type CookieLawAnimation = 'topIn' | 'bottomIn' | 'topOut' | 'bottomOut';
+export type CookieLawTarget = '_blank' | '_self';
+
+@Component({
+  selector: 'cookie-law',
+  // encapsulation: ViewEncapsulation.None,
+  animations: [
+    trigger('state', [
+      state('bottomOut', style({ transform: 'translateY(100%)' })),
+      state('topOut', style({ transform: 'translateY(-100%)' })),
+      state('*', style({ transform: 'translateY(0)' })),
+
+      transition('void => topIn', [
+        style({ transform: 'translateY(-100%)' }),
+        animate('1000ms ease-in-out'),
+      ]),
+
+      transition('void => bottomIn', [
+        style({ transform: 'translateY(100%)' }),
+        animate('1000ms ease-in-out'),
+      ]),
+
+      transition('* => *', animate('1000ms ease-out')),
+    ])
+  ],
+  styleUrls: [ './cookie-law.css' ],
+  templateUrl: './cookie-law.html',
+})
+export class CookieLawComponent implements OnInit {
+  public cookieLawSeen: boolean;
+
+  @Input('learnMore')
+  get learnMore() { return this._learnMore; }
+  set learnMore(value: string) {
+    this._learnMore = (value !== null && `${value}` !== 'false') ? value : null;
+  }
+
+  @Input('target')
+  get target() { return this._target; }
+  set target(value: CookieLawTarget) {
+    this._target = (value !== null && `${value}` !== 'false' &&
+                      (`${value}` === '_blank' || `${value}` === '_self')
+                     ) ? value : '_blank';
+  }
+
+  @Input('position')
+  get position() { return this._position; }
+  set position(value: CookieLawPosition) {
+    this._position = (value !== null && `${value}` !== 'false' &&
+                      (`${value}` === 'top' || `${value}` === 'bottom')
+                     ) ? value : 'bottom';
+  }
+
+  @Output('isSeen')
+  private isSeenEvt: EventEmitter<boolean>;
+
+  @HostBinding('attr.seen')
+  public isSeen: boolean;
+
+  private animation: CookieLawAnimation;
+  private closeSvg: SafeHtml;
+  private currentStyles: {};
+  private _learnMore: string;
+  private _target: CookieLawTarget;
+  private _position: CookieLawPosition;
+
+  constructor(
+    private _service: CookieLawService,
+    private domSanitizer: DomSanitizer,
+  ) {
+    this.isSeenEvt = new EventEmitter<boolean>();
+    this.animation = 'topIn';
+    this._position = 'bottom';
+    this.cookieLawSeen = this._service.seen();
+  }
+
+  ngOnInit(): void {
+    this.animation = this.position === 'bottom' ? 'bottomIn' : 'topIn';
+
+    this.closeSvg = '<i class="uk-icon-close"></i>' ;
+
+    if (this.cookieLawSeen) {
+      this.isSeen = true;
+    }
+
+    this.currentStyles = {
+      'top': this.position === 'top' ? '0' : null,
+      'bottom': this.position === 'top' ? 'initial' : null,
+    };
+  }
+
+  afterDismissAnimation(evt: AnimationTransitionEvent) {
+    if (evt.toState === 'topOut' ||
+        evt.toState === 'bottomOut') {
+      this.isSeen = true;
+      this.isSeenEvt.emit(this.isSeen);
+    }
+  }
+
+  public dismiss(evt?: MouseEvent): void {
+    if (evt) {
+      evt.preventDefault();
+    }
+
+    this._service.storeCookie();
+    this.animation = this.position === 'top' ? 'topOut' : 'bottomOut';
+  }
+}
Index: modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/cookie-law/cookie-law.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/cookie-law/cookie-law.module.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/cookie-law/cookie-law.module.ts	(revision 46415)
@@ -0,0 +1,25 @@
+/**
+ * angular2-cookie-law
+ *
+ * Copyright 2016-2017, @andreasonny83, All rights reserved.
+ *
+ * @author: @andreasonny83 <andreasonny83@gmail.com>
+ */
+
+import { NgModule }           from '@angular/core';
+import { CommonModule }       from '@angular/common';
+import { CookieLawComponent } from './cookie-law.component';
+import { CookieLawService }   from './cookie-law.service';
+
+@NgModule({
+  imports: [ CommonModule ],
+  declarations: [ CookieLawComponent ],
+  providers: [ CookieLawService ],
+  exports: [ CookieLawComponent ]
+})
+export class CookieLawModule { }
+
+export {
+  CookieLawComponent,
+  CookieLawService
+};
